Bug 219664 - RFE: allow text output to a file
RFE: allow text output to a file
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Stokes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-14 13:11 EST by Karl Wirth
Modified: 2009-06-08 13:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 13:19:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Conklin 2006-12-14 13:11:10 EST
This feature would provide an API to plugin writers that output to a file that
gets linked from the html report. The file object created should be accessible
from the plugin.
Comment 2 Adam Stokes 2008-03-03 19:35:56 EST
Please elaborate on this RFE.

Thanks,
Adam
Comment 3 Steve Conklin 2008-03-19 11:22:24 EDT
There's alreasy an API that allows execution of a shell command (for example)
and places all output in a file that gets linked into the final report.

This request was for a way to allow the code in a plugin that generates output
to have the output from that plugin appear in a file linked in the report. So,
for one implementation, the plugin could make a call to the API and get back a
file object, then write to that. sos would set up the file behind that, and when
the plugin is done, the output gets included in the final report.

I hope that's clearer, My original descrption was terrible.

Steve

Note You need to log in before you can comment on or make changes to this bug.